> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFT traits by collection

> Get a list of traits for a particular NFT address



## OpenAPI

````yaml get /apechain/v1/nft/collections/{address}/traits
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /apechain/v1/nft/collections/{address}/traits:
    get:
      tags:
        - NFTs
      summary: Get NFT traits by collection
      description: Get a list of traits for a particular NFT address
      operationId: getNFTTraitsForAddress
      parameters:
        - description: Address of the NFT contract
          in: path
          name: address
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTTraitsResponse'
              examples:
                example1:
                  value:
                    contract_address: '0x75952c2cb04703dc5e67aa529d24814e45ce364f'
                    traits:
                      - trait_type: Background
                        values:
                          - count: 73
                            percentage: 10.625909752547306
                            value: M1 Gray
                          - count: 72
                            percentage: 10.480349344978166
                            value: M1 Aquamarine
                          - count: 67
                            percentage: 9.75254730713246
                            value: M1 Yellow
                          - count: 62
                            percentage: 9.024745269286754
                            value: M1 Army Green
                          - count: 62
                            percentage: 9.024745269286754
                            value: M1 New Punk Blue
                          - count: 61
                            percentage: 8.879184861717611
                            value: M1 Orange
                          - count: 59
                            percentage: 8.58806404657933
                            value: M1 Purple
                          - count: 57
                            percentage: 8.296943231441048
                            value: M1 Blue
                          - count: 32
                            percentage: 4.657933042212519
                            value: M2 Orange
                          - count: 28
                            percentage: 4.075691411935954
                            value: M2 Gray
                          - count: 25
                            percentage: 3.6390101892285296
                            value: M2 Purple
                          - count: 22
                            percentage: 3.2023289665211063
                            value: M2 Yellow
                          - count: 20
                            percentage: 2.911208151382824
                            value: M2 Blue
                          - count: 18
                            percentage: 2.6200873362445414
                            value: M2 Army Green
                          - count: 16
                            percentage: 2.3289665211062593
                            value: M2 New Punk Blue
                          - count: 13
                            percentage: 1.8922852983988356
                            value: M2 Aquamarine
          description: NFT traits
components:
  schemas:
    NFTTraitsResponse:
      properties:
        contract_address:
          type: string
        traits:
          items:
            $ref: '#/components/schemas/NFTTrait'
          type: array
      required:
        - contract_address
        - traits
      type: object
    NFTTrait:
      properties:
        trait_type:
          type: string
        values:
          items:
            $ref: '#/components/schemas/NFTTraitValue'
          type: array
      required:
        - trait_type
        - values
      type: object
    NFTTraitValue:
      properties:
        count:
          format: int64
          type: integer
        percentage:
          format: double
          type: number
        value:
          type: string
      required:
        - value
      type: object

````